CanvasParserInternal::Layer Struct Reference

Internal: the layer of a CanvasParser. More...

## Public Member Functions
| Layer ()
| constructor

## Public Attributes
librevenge::RVNGString | m_name
| the layer name
int | m_numShapes
| the number of shape
std::vector< int > | m_shapesId
| the shape id

## Detailed Description

Internal: the layer of a CanvasParser.

## Constructor & Destructor Documentation

## ◆ Layer()

CanvasParserInternal::Layer::Layer | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_name

librevenge::RVNGString CanvasParserInternal::Layer::m_name

the layer name

Referenced by Layer(), CanvasParser::readLayers(), and CanvasParser::send().

## ◆ m_numShapes

int CanvasParserInternal::Layer::m_numShapes

the number of shape

Referenced by Layer(), and CanvasParser::readLayers().

## ◆ m_shapesId

std::vector<int> CanvasParserInternal::Layer::m_shapesId

the shape id

Referenced by Layer(), and CanvasParser::send().

The documentation for this struct was generated from the following file:

- CanvasParser.cxx